Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

X-Payments files
 
Reply
   X-Cart forums > X-Payments > X-Payments issues & questions
 
Thread Tools
  #1  
Old 05-04-2012, 04:41 PM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,582
 

Default X-Payments files

Light rant and very simple request - QT please name files appropriately. In my file area X-Payments directory I have

x-payments-1.0.4.tgz - this is ok

Then there is a directory called Tools and inside I have these files (and some other not important)

x-paymentscon-4.3.2.tgz
x-paymentscon-4.3.2.XP1.0.2.tgz
x-paymentscon-oldver.tgz

Now installing X-Payments on 4.3.2 cart I assumed "x-paymentscon-4.3.2.tgz" is the current connector installation pack to use since this is X-Payments 1.0.4 and the other 2 files just don't match the version

Well I was wrong. The correct file is x-paymentscon-4.3.2.XP1.0.2.tgz even though its name implies to be used on X-Payments 1.0.2.

Since I installed the wrong pack first the connector was not able to connect to X-Payments properly and returned an error

Quote:
XML in response has a wrong format. Additional info: "Element 'is_error_message': This element is not expected.

which tells me nothing but XML is wrong format. After some code change so I can see the actual response (user I was using had no permissions to access some of the areas so that's the reason for the code change) I got this

Quote:
XML in response has a wrong format. Additional info: "Element 'is_error_message': This element is not expected.
<data>
<error>506</error>
<error_message>Your X-Payments connector module supports API version "1.0". This X-Payments supports the following API versions only: "1.1".</error_message>
<is_error_message></is_error_message>
</data>
"

Now this is better than the first one, I was still not sure but it made me to try the other X-Connector installation pack just to be sure. And it worked.

So QT - a better error reporting and please please better way of naming files. And actually since this file "x-paymentscon-4.3.2.tgz" doesn't work with X-Payments 1.0.4 why it is even there? Can you please separate X-Payments versions with different directories just like XC versions are and place in each one the appropriate files that work with each other.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote

The following 2 users thank cflsystems for this useful post:
am2003 (05-05-2012), qualiteam (05-06-2012)
  #2  
Old 05-06-2012, 09:44 PM
  qualiteam's Avatar 
qualiteam qualiteam is offline
 

X-Guru
  
Join Date: Dec 2010
Posts: 6,373
 

Default Re: X-Payments files

Thank you. I've forwarded this information to the person responsible. He will check what can be done to eliminate the issue.
__________________
Alex Solovev,
Qualiteam

---

User manual Video tutorials X-Cart FAQ

You are welcome to press "Thanks" button
if you find this post useful

Click here to learn how to apply patches

X-Cart Extensions
Reply With Quote

The following user thanks qualiteam for this useful post:
cflsystems (05-06-2012)
  #3  
Old 05-21-2012, 06:07 AM
  ambal's Avatar 
ambal ambal is offline
 

X-Cart team
  
Join Date: Sep 2002
Posts: 4,102
 

Default Re: X-Payments files

I corrected files naming.

x-p_conn_files_new_names.png
__________________
Sincerely yours,
Alex Mulin
VP of business development for X-Cart
X-Payments project manager
Reply With Quote

The following 3 users thank ambal for this useful post:
cflsystems (05-21-2012), qualiteam (05-24-2012), tartaglia (05-22-2012)
Reply
   X-Cart forums > X-Payments > X-Payments issues & questions


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 08:13 PM.

   

 
X-Cart forums © 2001-2018